en
conf t

int e0/1
ip address 10.20.0.1 255.255.255.0
ip nat inside
no shutdown

int e0/2
ip address 10.20.200.1 255.255.255.252
ip nat inside
no shutdown

int e0/0
ip address dhcp
ip nat outside
no shutdown
do wr

router ospf 1
network 10.20.0.0 0.0.0.255 area 0
network 10.20.200.0 0.0.0.3 area 0
do wr

access-list 1 permit 10.20.0.0 0.0.255.255
ip nat inside source list 1 interface e0/0 overload
do wr

exit
end

show ip route